org.jboss.logging

## Annotation Type FormatWith

- Deprecated.
  Use org.jboss.logging.annotations.FormatWith provided in module org.jboss.logging:jboss-logging-annotations

      @Target(value=PARAMETER)
      @Retention(value=CLASS)
      @Documented
      @Deprecated
      public @interface FormatWith

  Indicate that the given parameter should be wrapped with a formatting object of the given class. The class must have a one-argument constructor which unambiguously accepts a value of this parameter's type. The resultant object will be passed in as a parameter to the underlying format type; thus its `toString()` method will be invoked (or, if the format style is `PRINTF`, the object may implement `Formattable` to get extra functionality).
  Author:
    David M. Lloyd

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `Class<?>` | `value` Deprecated. The class of the formatting object to use.

- - ### Element Detail

    - #### value

          public abstract Class<?> value

      Deprecated.
      The class of the formatting object to use.
      Returns:
        the class

Copyright © 2015. All rights reserved.